/*******************************************************************************
* File Name: HALF_VDDA.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_HALF_VDDA_H) /* Pins HALF_VDDA_H */
#define CY_PINS_HALF_VDDA_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "HALF_VDDA_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 HALF_VDDA__PORT == 15 && ((HALF_VDDA__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    HALF_VDDA_Write(uint8 value);
void    HALF_VDDA_SetDriveMode(uint8 mode);
uint8   HALF_VDDA_ReadDataReg(void);
uint8   HALF_VDDA_Read(void);
void    HALF_VDDA_SetInterruptMode(uint16 position, uint16 mode);
uint8   HALF_VDDA_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the HALF_VDDA_SetDriveMode() function.
     *  @{
     */
        #define HALF_VDDA_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define HALF_VDDA_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define HALF_VDDA_DM_RES_UP          PIN_DM_RES_UP
        #define HALF_VDDA_DM_RES_DWN         PIN_DM_RES_DWN
        #define HALF_VDDA_DM_OD_LO           PIN_DM_OD_LO
        #define HALF_VDDA_DM_OD_HI           PIN_DM_OD_HI
        #define HALF_VDDA_DM_STRONG          PIN_DM_STRONG
        #define HALF_VDDA_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define HALF_VDDA_MASK               HALF_VDDA__MASK
#define HALF_VDDA_SHIFT              HALF_VDDA__SHIFT
#define HALF_VDDA_WIDTH              1u

/* Interrupt constants */
#if defined(HALF_VDDA__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in HALF_VDDA_SetInterruptMode() function.
     *  @{
     */
        #define HALF_VDDA_INTR_NONE      (uint16)(0x0000u)
        #define HALF_VDDA_INTR_RISING    (uint16)(0x0001u)
        #define HALF_VDDA_INTR_FALLING   (uint16)(0x0002u)
        #define HALF_VDDA_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define HALF_VDDA_INTR_MASK      (0x01u) 
#endif /* (HALF_VDDA__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define HALF_VDDA_PS                     (* (reg8 *) HALF_VDDA__PS)
/* Data Register */
#define HALF_VDDA_DR                     (* (reg8 *) HALF_VDDA__DR)
/* Port Number */
#define HALF_VDDA_PRT_NUM                (* (reg8 *) HALF_VDDA__PRT) 
/* Connect to Analog Globals */                                                  
#define HALF_VDDA_AG                     (* (reg8 *) HALF_VDDA__AG)                       
/* Analog MUX bux enable */
#define HALF_VDDA_AMUX                   (* (reg8 *) HALF_VDDA__AMUX) 
/* Bidirectional Enable */                                                        
#define HALF_VDDA_BIE                    (* (reg8 *) HALF_VDDA__BIE)
/* Bit-mask for Aliased Register Access */
#define HALF_VDDA_BIT_MASK               (* (reg8 *) HALF_VDDA__BIT_MASK)
/* Bypass Enable */
#define HALF_VDDA_BYP                    (* (reg8 *) HALF_VDDA__BYP)
/* Port wide control signals */                                                   
#define HALF_VDDA_CTL                    (* (reg8 *) HALF_VDDA__CTL)
/* Drive Modes */
#define HALF_VDDA_DM0                    (* (reg8 *) HALF_VDDA__DM0) 
#define HALF_VDDA_DM1                    (* (reg8 *) HALF_VDDA__DM1)
#define HALF_VDDA_DM2                    (* (reg8 *) HALF_VDDA__DM2) 
/* Input Buffer Disable Override */
#define HALF_VDDA_INP_DIS                (* (reg8 *) HALF_VDDA__INP_DIS)
/* LCD Common or Segment Drive */
#define HALF_VDDA_LCD_COM_SEG            (* (reg8 *) HALF_VDDA__LCD_COM_SEG)
/* Enable Segment LCD */
#define HALF_VDDA_LCD_EN                 (* (reg8 *) HALF_VDDA__LCD_EN)
/* Slew Rate Control */
#define HALF_VDDA_SLW                    (* (reg8 *) HALF_VDDA__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define HALF_VDDA_PRTDSI__CAPS_SEL       (* (reg8 *) HALF_VDDA__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define HALF_VDDA_PRTDSI__DBL_SYNC_IN    (* (reg8 *) HALF_VDDA__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define HALF_VDDA_PRTDSI__OE_SEL0        (* (reg8 *) HALF_VDDA__PRTDSI__OE_SEL0) 
#define HALF_VDDA_PRTDSI__OE_SEL1        (* (reg8 *) HALF_VDDA__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define HALF_VDDA_PRTDSI__OUT_SEL0       (* (reg8 *) HALF_VDDA__PRTDSI__OUT_SEL0) 
#define HALF_VDDA_PRTDSI__OUT_SEL1       (* (reg8 *) HALF_VDDA__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define HALF_VDDA_PRTDSI__SYNC_OUT       (* (reg8 *) HALF_VDDA__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(HALF_VDDA__SIO_CFG)
    #define HALF_VDDA_SIO_HYST_EN        (* (reg8 *) HALF_VDDA__SIO_HYST_EN)
    #define HALF_VDDA_SIO_REG_HIFREQ     (* (reg8 *) HALF_VDDA__SIO_REG_HIFREQ)
    #define HALF_VDDA_SIO_CFG            (* (reg8 *) HALF_VDDA__SIO_CFG)
    #define HALF_VDDA_SIO_DIFF           (* (reg8 *) HALF_VDDA__SIO_DIFF)
#endif /* (HALF_VDDA__SIO_CFG) */

/* Interrupt Registers */
#if defined(HALF_VDDA__INTSTAT)
    #define HALF_VDDA_INTSTAT            (* (reg8 *) HALF_VDDA__INTSTAT)
    #define HALF_VDDA_SNAP               (* (reg8 *) HALF_VDDA__SNAP)
    
	#define HALF_VDDA_0_INTTYPE_REG 		(* (reg8 *) HALF_VDDA__0__INTTYPE)
#endif /* (HALF_VDDA__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_HALF_VDDA_H */


/* [] END OF FILE */
