/*******************************************************************************
* File Name: Vsignal.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Vsignal_H) /* Pins Vsignal_H */
#define CY_PINS_Vsignal_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Vsignal_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 Vsignal__PORT == 15 && ((Vsignal__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    Vsignal_Write(uint8 value);
void    Vsignal_SetDriveMode(uint8 mode);
uint8   Vsignal_ReadDataReg(void);
uint8   Vsignal_Read(void);
void    Vsignal_SetInterruptMode(uint16 position, uint16 mode);
uint8   Vsignal_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the Vsignal_SetDriveMode() function.
     *  @{
     */
        #define Vsignal_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define Vsignal_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define Vsignal_DM_RES_UP          PIN_DM_RES_UP
        #define Vsignal_DM_RES_DWN         PIN_DM_RES_DWN
        #define Vsignal_DM_OD_LO           PIN_DM_OD_LO
        #define Vsignal_DM_OD_HI           PIN_DM_OD_HI
        #define Vsignal_DM_STRONG          PIN_DM_STRONG
        #define Vsignal_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define Vsignal_MASK               Vsignal__MASK
#define Vsignal_SHIFT              Vsignal__SHIFT
#define Vsignal_WIDTH              1u

/* Interrupt constants */
#if defined(Vsignal__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in Vsignal_SetInterruptMode() function.
     *  @{
     */
        #define Vsignal_INTR_NONE      (uint16)(0x0000u)
        #define Vsignal_INTR_RISING    (uint16)(0x0001u)
        #define Vsignal_INTR_FALLING   (uint16)(0x0002u)
        #define Vsignal_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define Vsignal_INTR_MASK      (0x01u) 
#endif /* (Vsignal__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Vsignal_PS                     (* (reg8 *) Vsignal__PS)
/* Data Register */
#define Vsignal_DR                     (* (reg8 *) Vsignal__DR)
/* Port Number */
#define Vsignal_PRT_NUM                (* (reg8 *) Vsignal__PRT) 
/* Connect to Analog Globals */                                                  
#define Vsignal_AG                     (* (reg8 *) Vsignal__AG)                       
/* Analog MUX bux enable */
#define Vsignal_AMUX                   (* (reg8 *) Vsignal__AMUX) 
/* Bidirectional Enable */                                                        
#define Vsignal_BIE                    (* (reg8 *) Vsignal__BIE)
/* Bit-mask for Aliased Register Access */
#define Vsignal_BIT_MASK               (* (reg8 *) Vsignal__BIT_MASK)
/* Bypass Enable */
#define Vsignal_BYP                    (* (reg8 *) Vsignal__BYP)
/* Port wide control signals */                                                   
#define Vsignal_CTL                    (* (reg8 *) Vsignal__CTL)
/* Drive Modes */
#define Vsignal_DM0                    (* (reg8 *) Vsignal__DM0) 
#define Vsignal_DM1                    (* (reg8 *) Vsignal__DM1)
#define Vsignal_DM2                    (* (reg8 *) Vsignal__DM2) 
/* Input Buffer Disable Override */
#define Vsignal_INP_DIS                (* (reg8 *) Vsignal__INP_DIS)
/* LCD Common or Segment Drive */
#define Vsignal_LCD_COM_SEG            (* (reg8 *) Vsignal__LCD_COM_SEG)
/* Enable Segment LCD */
#define Vsignal_LCD_EN                 (* (reg8 *) Vsignal__LCD_EN)
/* Slew Rate Control */
#define Vsignal_SLW                    (* (reg8 *) Vsignal__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Vsignal_PRTDSI__CAPS_SEL       (* (reg8 *) Vsignal__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Vsignal_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Vsignal__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Vsignal_PRTDSI__OE_SEL0        (* (reg8 *) Vsignal__PRTDSI__OE_SEL0) 
#define Vsignal_PRTDSI__OE_SEL1        (* (reg8 *) Vsignal__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Vsignal_PRTDSI__OUT_SEL0       (* (reg8 *) Vsignal__PRTDSI__OUT_SEL0) 
#define Vsignal_PRTDSI__OUT_SEL1       (* (reg8 *) Vsignal__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Vsignal_PRTDSI__SYNC_OUT       (* (reg8 *) Vsignal__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(Vsignal__SIO_CFG)
    #define Vsignal_SIO_HYST_EN        (* (reg8 *) Vsignal__SIO_HYST_EN)
    #define Vsignal_SIO_REG_HIFREQ     (* (reg8 *) Vsignal__SIO_REG_HIFREQ)
    #define Vsignal_SIO_CFG            (* (reg8 *) Vsignal__SIO_CFG)
    #define Vsignal_SIO_DIFF           (* (reg8 *) Vsignal__SIO_DIFF)
#endif /* (Vsignal__SIO_CFG) */

/* Interrupt Registers */
#if defined(Vsignal__INTSTAT)
    #define Vsignal_INTSTAT            (* (reg8 *) Vsignal__INTSTAT)
    #define Vsignal_SNAP               (* (reg8 *) Vsignal__SNAP)
    
	#define Vsignal_0_INTTYPE_REG 		(* (reg8 *) Vsignal__0__INTTYPE)
#endif /* (Vsignal__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_Vsignal_H */


/* [] END OF FILE */
